Welcome Serena Central users! CLICK HERE
The migration of the Serena Central community is currently underway. Be sure to read THIS MESSAGE to get your new login set up to access your account.
ropi Absent Member.
Absent Member.
1551 views

Update ZCM 11 SP1 to SP2 failed

Hi,

i get an error message after the update process of the SP2.

We use the zcm 11 sp1 appliance and i would like to update to SP2.

i read the update documentation and followed the instructions.
i started the setup.sh and after the update process i got the message that an error occurred and more informations are in the log files.

I looked in the system-update.log and searched for failed.
There are a lot of "faild" but with the information that "package is not installed, no reason to uninstall"
so i think thats ok.

But there are some "failed message" i dont know, maybe thats the reason why the update process failed:
DEBUG;;;FailureRPM Query failed with return code: 1
DEBUG;;;Package version: 11.2.0.16071 installedVersion: null
DEBUG;;;Unable to determine installed or package version
DEBUG;;;rpm command failed...will retry
DEBUG;;;Launching rpm command with parameter: [/bin/rpm -U --verbose /media/ZENworks11SP2/Common/rpm/novell-zenworks-zmgpolicy-11.2.0-16071.x86_64.rpm]
DEBUG;;;return code : 1
DEBUG;;;Checking package /media/ZENworks11SP2/Common/rpm/novell-zenworks-zmgpolicy-11.2.0-16071.x86_64.rpm
DEBUG;;;Executing query: [/bin/rpm, -qp, /media/ZENworks11SP2/Common/rpm/novell-zenworks-zmgpolicy-11.2.0-16071.x86_64.rpm, --queryformat, @%{version}.%{release}@]
DEBUG;;;Output: @11.2.0.16071@
DEBUG;;;Executing query: [/bin/rpm, -qp, /media/ZENworks11SP2/Common/rpm/novell-zenworks-zmgpolicy-11.2.0-16071.x86_64.rpm, --queryformat, @%{name}@]
DEBUG;;;Output: @novell-zenworks-zmgpolicy@


In the zenworks_upgrade_27.4.......log.xml has following error message:
<Message><MessageID><![CDATA[0000]]></MessageID><MessageString><![CDATA[Upgrading packages failed. Check the /var/opt/novell/log/zenworks/system-update/5011020000fc50000000002012030723/system-update.log file for more details]]></MessageString><Severity><![CDATA[8]]></Severity><Time><![CDATA[1335533116674]]></Time><Source><![CDATA[Unknown Device]]></Source><ComponentName><![CDATA[Server Install]]></ComponentName><AdditionalInfo></AdditionalInfo></Message>
<Message><MessageID><![CDATA[0000]]></MessageID><MessageString><![CDATA[ExecuteZENUpdaterConfigureAction erledigt!]]></MessageString><Severity><![CDATA[2]]></Severity><Time><![CDATA[1335533116723]]></Time><Source><![CDATA[Unknown Device]]></Source><ComponentName><![CDATA[Server Install]]></ComponentName><AdditionalInfo /></Message>


please can someone help me with this problem. I'm new on zcm and linux

Cheers,
Steffen
Labels (2)
0 Likes
4 Replies
ropi Absent Member.
Absent Member.

Re: Update ZCM 11 SP1 to SP2 failed

I think the problem is the zmgpolicy-11.2.0-16071.x86_64.rpm

If i look in the rpm_--nodeps_novell-zenworks-zmgpolicy.log:

insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: warning: script 'suse_studio_custom' missing LSB tags and overrides
insserv: Default-Start undefined, assuming default start runlevel(s) for script `suse_studio_custom'
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.


the same for the rpm_--nodeps_novell-zenworks-zmgservices.log
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
insserv: warning: script 'suse_studio_custom' missing LSB tags and overrides
insserv: Default-Start undefined, assuming default start runlevel(s) for script `suse_studio_custom'
insserv: Script jexec is broken: incomplete LSB comment.
insserv: missing `Required-Stop:' entry: please add even if empty.
0 Likes
shaunpond Absent Member.
Absent Member.

Re: Update ZCM 11 SP1 to SP2 failed

Ropi,

it's not that - those are known about and not significant...

--

Shaun Pond


0 Likes
ropi Absent Member.
Absent Member.

Re: Update ZCM 11 SP1 to SP2 failed

Problem solved!

Problem was -> we created a permanent mount for thee content-repo/images and on this folder the rights are not correct so the installer could not extract/install the files of zmgservices. i deleted the permanent mount and now the installation was successfully.
0 Likes
shaunpond Absent Member.
Absent Member.

Re: Update ZCM 11 SP1 to SP2 failed

Ropi,

aha...

--

Shaun Pond


0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.